# Pmodules tools

Dependency checker: <br>
[![Pipeline](https://git.psi.ch/Pmodules/dependency-checker/badges/master/pipeline.svg)](https://git.psi.ch/Pmodules/dependency-checker)

## Intro
A python project to analyse Pmodules modules and their status changes.

There are for the moment two possible checks:

1) Dependency checker <br>
   Check for module dependencies status and change their status accordingly.

2) Weekly Pmodules checker <br> 
   Report new, deleted or changed modules and write it to a pmodules_changes.md file.

## Usage
On Merlin need to first load a Python3:

```sh
module load Python
```

### CLI help interface

```sh
python3 pmodules_tools/pmodules_tools.py --help
```

### Dependency checker

```sh
python3 pmodules_tools/pmodules_tools.py --deps-check # or -d
```

### Weekly Pmodules checker

```sh
python3 pmodules_tools/pmodules_tools.py --weekly-check # or -w
```
